Skip to main content
GET
/
v2
/
salesOrders
/
{salesOrderId}
/
notes
Query Sales Order Notes
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/salesOrders/{salesOrderId}/notes \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>'
[
  {
    "noteId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "noteBody": "<string>"
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesOrderId
string<uuid>
required

The id of the sales order that the notes belong to.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

The requested notes of the sales order.

noteId
string<uuid>

Unique ID to identify a customer note. A customer note always has a customer reference and may have a sales order reference as well.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

noteBody
string

The text in the customer note.